---
title: memcached
type: cache
status: stable
---

<!--
     THIS FILE IS AUTOGENERATED!

     To make changes please edit the contents of:
     lib/cache/memcached.go
-->

import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';


Connects to a cluster of memcached services, a prefix can be specified to allow
multiple cache types to share a memcached cluster under different namespaces.


<Tabs defaultValue="common" values={[
  { label: 'Common', value: 'common', },
  { label: 'Advanced', value: 'advanced', },
]}>

<TabItem value="common">

```yaml
# Common config fields, showing default values
label: ""
memcached:
  addresses:
    - localhost:11211
  prefix: ""
  ttl: 300
```

</TabItem>
<TabItem value="advanced">

```yaml
# All config fields, showing default values
label: ""
memcached:
  addresses:
    - localhost:11211
  prefix: ""
  ttl: 300
  retries: 3
  retry_period: 500ms
```

</TabItem>
</Tabs>


This cache type supports setting the TTL individually per key by using the
dynamic `ttl` field of a cache processor or output in order to
override the general TTL configured at the cache resource level.

## Fields

### `addresses`

A list of addresses of memcached servers to use.


Type: `array`  
Default: `["localhost:11211"]`  

### `prefix`

An optional string to prefix item keys with in order to prevent collisions with similar services.


Type: `string`  
Default: `""`  

### `ttl`

A TTL in seconds to set for items, after this period keys will be removed.


Type: `int`  
Default: `300`  

### `retries`

The maximum number of retry attempts to make before abandoning a request.


Type: `int`  
Default: `3`  

### `retry_period`

The duration to wait between retry attempts.


Type: `string`  
Default: `"500ms"`  


